#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: hackage-security
version: 0.5.2.2
id: hackage-security-0.5.2.2-JYk9cbfvIQ6Ggy8DNsESek
key: hackage-security-0.5.2.2-JYk9cbfvIQ6Ggy8DNsESek
license: BSD3
copyright: Copyright 2015-2016 Well-Typed LLP
maintainer: edsko@well-typed.com
homepage: https://github.com/well-typed/hackage-security
synopsis: Hackage security library
description:
    The hackage security library provides both server and
    client utilities for securing the Hackage package server
    (<http://hackage.haskell.org/>).  It is based on The Update
    Framework (<http://theupdateframework.com/>), a set of
    recommendations developed by security researchers at
    various universities in the US as well as developers on the
    Tor project (<https://www.torproject.org/>).
    .
    The current implementation supports only index signing,
    thereby enabling untrusted mirrors. It does not yet provide
    facilities for author package signing.
    .
    The library has two main entry points:
    "Hackage.Security.Client" is the main entry point for
    clients (the typical example being @cabal@), and
    "Hackage.Security.Server" is the main entry point for
    servers (the typical example being @hackage-server@).
category: Distribution
author: Edsko de Vries
exposed: True
indefinite: False
exposed-modules:
    Hackage.Security.Client Hackage.Security.Client.Formats
    Hackage.Security.Client.Repository
    Hackage.Security.Client.Repository.Cache
    Hackage.Security.Client.Repository.HttpLib
    Hackage.Security.Client.Repository.Local
    Hackage.Security.Client.Repository.Remote
    Hackage.Security.Client.Verify Hackage.Security.JSON
    Hackage.Security.Key.Env Hackage.Security.Server
    Hackage.Security.TUF.FileMap Hackage.Security.Trusted
    Hackage.Security.Util.Checked Hackage.Security.Util.IO
    Hackage.Security.Util.Lens Hackage.Security.Util.Path
    Hackage.Security.Util.Pretty Hackage.Security.Util.Some
    Text.JSON.Canonical
hidden-modules: Hackage.Security.Key Hackage.Security.Trusted.TCB
                Hackage.Security.TUF Hackage.Security.TUF.Common
                Hackage.Security.TUF.FileInfo Hackage.Security.TUF.Header
                Hackage.Security.TUF.Layout.Cache Hackage.Security.TUF.Layout.Index
                Hackage.Security.TUF.Layout.Repo Hackage.Security.TUF.Mirrors
                Hackage.Security.TUF.Paths Hackage.Security.TUF.Patterns
                Hackage.Security.TUF.Root Hackage.Security.TUF.Signed
                Hackage.Security.TUF.Snapshot Hackage.Security.TUF.Targets
                Hackage.Security.TUF.Timestamp Hackage.Security.Util.Base64
                Hackage.Security.Util.JSON Hackage.Security.Util.Stack
                Hackage.Security.Util.TypedEmbedded Prelude
abi: 1ea6c9f57d73188a206d0b5ba5ca01b8
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/hackage-security-0.5.2.2
library-dirs: /usr/lib/ghc-8.2.2/site-local/hackage-security-0.5.2.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/hackage-security-0.5.2.2
hs-libraries: HShackage-security-0.5.2.2-JYk9cbfvIQ6Ggy8DNsESek
depends:
    base-4.10.1.0 base16-bytestring-0.1.1.6-Bd4rUARbKHBrsqzcqGjb8
    base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    bytestring-0.10.8.2 Cabal-2.0.1.0 containers-0.5.10.2
    directory-1.3.0.2 ed25519-0.0.5.0-5pFksGKabcUIJjOzH2huYw
    filepath-1.4.1.2 mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    parsec-3.1.13.0-lnA0oAxTgL1KjACiBdQ3F pretty-1.1.3.3
    cryptohash-sha256-0.11.101.0-D9WEwWp52WRAhUFLlHOr2v
    tar-0.5.1.0-60eDJG9H72nHOuR0SQ7KSe time-1.8.0.2
    transformers-0.5.2.0 zlib-0.6.2-FRkEyCRDCMJ4V7FViKOnGY
    template-haskell-2.12.0.0 ghc-prim-0.5.1.1
    network-uri-2.6.1.0-70Dn88tZogC6ueZsHNuWT3
    network-2.6.3.5-HciQ97zzdTVSLyOa0zOYp
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             base16-bytestring-0.1.1.6-Bd4rUARbKHBrsqzcqGjb8=cc35e858b42560e1732fc34a3f6212b3
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fce7541e6cf9cbf2867cdcb0a2552fb8
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             Cabal-2.0.1.0=0f36b79494fd1737cec34e8481a8753a
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             directory-1.3.0.2=60cb0805ce3e0135e907efd1476a027a
             ed25519-0.0.5.0-5pFksGKabcUIJjOzH2huYw=0047c8e5b4ce02fdb531e8ef94af641a
             filepath-1.4.1.2=f49190c9093d895f9f159c40e7d1ff46
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             parsec-3.1.13.0-lnA0oAxTgL1KjACiBdQ3F=688f5e7444a80128e4a1c39bd128d195
             pretty-1.1.3.3=da5c0455980712cd8d78cc4bdcee49dd
             cryptohash-sha256-0.11.101.0-D9WEwWp52WRAhUFLlHOr2v=b7260fd6d1b304a7034b8ef8eb413144
             tar-0.5.1.0-60eDJG9H72nHOuR0SQ7KSe=4405429b0b1ab9fd0e63fdb9abf7f38b
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             zlib-0.6.2-FRkEyCRDCMJ4V7FViKOnGY=0435506582323b785ad7538064910d9e
             template-haskell-2.12.0.0=2257617827b0258ca46e933b344007b7
             ghc-prim-0.5.1.1=c8f3d173544d1472727fce7b0518abda
             network-uri-2.6.1.0-70Dn88tZogC6ueZsHNuWT3=afebcc3944e17103658dd7506cfde008
             network-2.6.3.5-HciQ97zzdTVSLyOa0zOYp=e81ab755128c48e8082525402fc065c2
haddock-interfaces: /usr/share/doc/haskell-hackage-security/html/hackage-security.haddock
haddock-html: /usr/share/doc/haskell-hackage-security/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

